Bug 181603 - [patch] fix net/mediatomb
[patch] fix net/mediatomb
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Steve Wills
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 08:50 UTC by llevier
Modified: 2013-11-16 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (4.05 KB, patch)
2013-08-28 08:50 UTC, llevier
no flags Details | Diff
patch-webserver.c.diff.txt (493 bytes, patch)
2013-09-30 05:41 UTC, steve
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description llevier 2013-08-28 08:50:00 UTC
Mediatomb port (mediatomb-0.12.1) cant compile with the new gcc.

I dont have network access from the box (NIC issue) and so I use this process to submit the patch, sorry.
I'll send an email to leo@mediatomb.cc as well.

Fix: The patch below solves the issue (taken from gentoo.org):

How-To-Repeat: Try to compile on FreeBSD 10 :-)
Comment 1 Edwin Groothuis freebsd_committer 2013-08-28 18:55:14 UTC
Maintainer of net/mediatomb,

Please note that PR ports/181603 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181603

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-08-28 18:55:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 steve 2013-09-30 05:41:16 UTC
In addition to the patch already in the PR, an additional patch is needed. See attached.

Steve
Comment 4 Steve Wills freebsd_committer 2013-09-30 05:42:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 5 dfilter freebsd_committer 2013-11-16 01:17:36 UTC
Author: swills
Date: Sat Nov 16 01:17:20 2013
New Revision: 333958
URL: http://svnweb.freebsd.org/changeset/ports/333958

Log:
  - Fix build on 10.0
  
  PR:		ports/181603
  Submitted by:	Laurent LEVIER <llevier@argosnet.com>
  Approved by:	maintainer timeout (leo@mediatomb.cc, >2 months)

Added:
  head/net/mediatomb/files/patch-clang   (contents, props changed)

Added: head/net/mediatomb/files/patch-clang
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/mediatomb/files/patch-clang	Sat Nov 16 01:17:20 2013	(r333958)
@@ -0,0 +1,134 @@
+--- src/hash/dbr_hash.h.orig	2013-09-21 09:16:26.000000000 +0000
++++ src/hash/dbr_hash.h	2013-09-21 09:20:41.000000000 +0000
+@@ -124,7 +124,7 @@
+     inline bool remove(KT key)
+     {
+         struct dbr_hash_slot<KT> *slot;
+-        if (! search(key, &slot))
++        if (! this->search(key, &slot))
+             return false;
+         slot->key = deletedKey;
+         int array_slot = slot->array_slot;
+@@ -134,7 +134,7 @@
+             return true;
+         }
+         data_array[array_slot] = data_array[--this->count];
+-        if (! search(data_array[array_slot], &slot))
++        if (! this->search(data_array[array_slot], &slot))
+         {
+             log_debug("DBR-Hash-Error: (%d; array_slot=%d; count=%d)\n", data_array[array_slot], array_slot, this->count);
+             throw zmm::Exception(_("DBR-Hash-Error: key in data_array not found in hashtable"));
+@@ -146,7 +146,7 @@
+     inline void put(KT key)
+     {
+         struct dbr_hash_slot<KT> *slot;
+-        if (! search(key, &slot))
++        if (! this->search(key, &slot))
+         {
+ #ifdef TOMBDEBUG
+             if (this->count >= realCapacity)
+@@ -194,7 +194,7 @@
+     inline bool exists(KT key)
+     {
+         struct dbr_hash_slot<KT> *slot;
+-        return search(key, &slot);
++        return this->search(key, &slot);
+     }
+     
+     /*
+@@ -202,7 +202,7 @@
+      
+     inline bool exists(KT key, hash_slot_t *destSlot)
+     {
+-        return search(key, (KT **)destSlot);
++        return this->search(key, (KT **)destSlot);
+     }
+     */
+ };
+--- src/hash/dbo_hash.h.orig	2013-09-21 09:23:08.000000000 +0000
++++ src/hash/dbo_hash.h	2013-09-21 09:23:26.000000000 +0000
+@@ -106,7 +106,7 @@
+     inline bool remove(KT key)
+     {
+         struct dbo_hash_slot<KT, VT> *slot;
+-        if (! search(key, &slot))
++        if (! this->search(key, &slot))
+             return false;
+         slot->key = deletedKey;
+         slot->value->release();
+@@ -136,7 +136,7 @@
+     inline void put(KT key, zmm::Ref<VT> value)
+     {
+         struct dbo_hash_slot<KT, VT> *slot;
+-        search(key, &slot);
++        this->search(key, &slot);
+         put(key, (hash_slot_t)slot, value);
+     }
+     void put(KT key, hash_slot_t destSlot, zmm::Ref<VT> value)
+@@ -162,7 +162,7 @@
+     inline zmm::Ref<VT> get(KT key)
+     {
+         struct dbo_hash_slot<KT, VT> *slot;
+-        bool found = search(key, &slot);
++        bool found = this->search(key, &slot);
+         if (found)
+             return zmm::Ref<VT>(slot->value);
+         else
+@@ -174,7 +174,7 @@
+     inline zmm::Ref<VT> get(KT key, hash_slot_t *destSlot)
+     {
+         struct dbo_hash_slot<KT, VT> **slot = (struct dbo_hash_slot<KT, VT> **)destSlot;
+-        bool found = search(key, slot);
++        bool found = this->search(key, slot);
+         if (found)
+             return zmm::Ref<VT>((*slot)->value);
+         else
+--- src/hash/dso_hash.h.orig	2013-09-21 09:25:09.000000000 +0000
++++ src/hash/dso_hash.h	2013-09-21 09:25:27.000000000 +0000
+@@ -100,7 +100,7 @@
+     inline bool remove(zmm::String key)
+     {
+         struct dso_hash_slot<VT> *slot;
+-        if (! search(key, &slot))
++        if (! this->search(key, &slot))
+             return false;
+         slot->key->release();
+         slot->value->release();
+@@ -112,7 +112,7 @@
+     inline void put(zmm::String key, zmm::Ref<VT> value)
+     {
+         struct dso_hash_slot<VT> *slot;
+-        search(key, &slot);
++        this->search(key, &slot);
+         put(key, (hash_slot_t)slot, value);
+     }
+     void put(zmm::String key, hash_slot_t destSlot, zmm::Ref<VT> value)
+@@ -141,7 +141,7 @@
+     inline zmm::Ref<VT> get(zmm::String key)
+     {
+         struct dso_hash_slot<VT> *slot;
+-        bool found = search(key, &slot);
++        bool found = this->search(key, &slot);
+         if (found)
+             return zmm::Ref<VT>(slot->value);
+         else
+@@ -153,7 +153,7 @@
+     inline zmm::Ref<VT> get(zmm::String key, hash_slot_t *destSlot)
+     {
+         struct dso_hash_slot<VT> **slot = (struct dso_hash_slot<VT> **)destSlot;
+-        bool found = search(key, slot);
++        bool found = this->search(key, slot);
+         if (found)
+             return zmm::Ref<VT>((*slot)->value);
+         else
+--- tombupnp/upnp/src/genlib/net/http/webserver.c.orig	2013-09-30 04:20:49.000000000 +0000
++++ tombupnp/upnp/src/genlib/net/http/webserver.c	2013-09-30 04:21:45.000000000 +0000
+@@ -310,7 +310,7 @@
+ *	 0 - On Sucess														
+ *	 UPNP_E_OUTOF_MEMORY - on memory allocation failures				
+ ************************************************************************/
+-XINLINE int
++static XINLINE int
+ get_content_type( IN const char *filename,
+                   OUT DOMString * content_type )
+ {
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2013-11-16 01:17:37 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!